diff --git a/src/backend/utils/init/miscinit.c b/src/backend/utils/init/miscinit.c
new file mode 100644
index 493e91c..6867b85
*** a/src/backend/utils/init/miscinit.c
--- b/src/backend/utils/init/miscinit.c
*************** load_libraries(const char *libraries, co
*** 1239,1245 ****
  {
  	char	   *rawstring;
  	List	   *elemlist;
- 	int			elevel;
  	ListCell   *l;
  
  	if (libraries == NULL || libraries[0] == '\0')
--- 1239,1244 ----
*************** load_libraries(const char *libraries, co
*** 1261,1278 ****
  		return;
  	}
  
- 	/*
- 	 * Choose notice level: avoid repeat messages when re-loading a library
- 	 * that was preloaded into the postmaster.	(Only possible in EXEC_BACKEND
- 	 * configurations)
- 	 */
- #ifdef EXEC_BACKEND
- 	if (IsUnderPostmaster && process_shared_preload_libraries_in_progress)
- 		elevel = DEBUG2;
- 	else
- #endif
- 		elevel = LOG;
- 
  	foreach(l, elemlist)
  	{
  		char	   *tok = (char *) lfirst(l);
--- 1260,1265 ----
*************** load_libraries(const char *libraries, co
*** 1292,1298 ****
  			filename = expanded;
  		}
  		load_file(filename, restricted);
! 		ereport(elevel,
  				(errmsg("loaded library \"%s\"", filename)));
  		pfree(filename);
  	}
--- 1279,1285 ----
  			filename = expanded;
  		}
  		load_file(filename, restricted);
! 		ereport(DEBUG1,
  				(errmsg("loaded library \"%s\"", filename)));
  		pfree(filename);
  	}
